AOWP_RequestPointcut (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.pointcut.designators.AOWP_RequestPointcut
/aspect/pointcut/designators/RequestPointcut.class.php at line 15

# Class AOWP_RequestPointcut

    AOWP_Pointcut
        └─AOWP_RequestPointcut

public class AOWP_RequestPointcut
extends AOWP_Pointcut

このポイントカットは、HTTPリクエスト処理 (HTTPリクエストの受け取りから、HTTPレスポンスの送信まで) のイベントを選択します。 選択するジョインポイントは、`AOWP_ScriptExecutionJoinPoint`ですが、 実行時評価 (フォームデータの値や、HTTPリクエストヘッダの値の評価) を伴って選択する為、 `AOWP_StaticPointcut`を継承しておらず、 `AOWP_ScriptExecutionPointcut`と異なります。

Field Summary
private mixed | $_formDataArray
private mixed | $_headerArray
private mixed | $_urlPattern

Fields inherited from aowp.aspect.pointcut.AOWP_Pointcut
_advice, _notFlag

Constructor Summary
AOWP_RequestPointcut(unknown_type urlPattern, array formDataArray, array headerArray)

Method Summary
private static void | _checkTopLevelScriptExecution()
private static void | _getRelativeURL(mixed sourcePath)
protected void | _isJoinPointShadow(mixed joinPoint)
protected void | _runtimeMatch(mixed joinPoint)
void | addHeaderPattern(mixed name, mixed pattern)
void | existFormData(mixed namePattern, mixed valuePattern)
void | getFormDataArray()
void | getHeaderArray()
void | getURLPattern()
void | keyMatch(mixed key)
void | requestURLMatch(mixed scriptPath)

Methods inherited from aowp.aspect.pointcut.AOWP_Pointcut
__clone, _getAspectInstance, _isJoinPointShadow, _runtimeMatch, isHavePointcut, isJoinPointShadow, isNot, opAnd, opNot, opOr, patternMatch, runtimeMatch, setAdvice

## Field Detail

/aspect/pointcut/designators/RequestPointcut.class.php at line 18

### _formDataArray

`private mixed $_formDataArray`

/aspect/pointcut/designators/RequestPointcut.class.php at line 19

### _headerArray

`private mixed $_headerArray`

/aspect/pointcut/designators/RequestPointcut.class.php at line 17

### _urlPattern

`private mixed $_urlPattern`

## Constructor Detail

/aspect/pointcut/designators/RequestPointcut.class.php at line 27

### AOWP_RequestPointcut

`public AOWP_RequestPointcut(unknown_type urlPattern, array formDataArray, array headerArray)`

Parameters:
  urlPattern - プロジェクトのルートフォルダに対応するURLを/として記述
  formDataArray - フォームデータの名前と値のパターン (mb_ereg)から成る連想配列
  headerArray - ヘッダーの名前と値のパターン (mb_ereg)から成る連想配列。ヘッダーの名前は、$_SERVERと対応づけて記述。

## Method Detail

/aspect/pointcut/designators/RequestPointcut.class.php at line 117

### _checkTopLevelScriptExecution

`private static void _checkTopLevelScriptExecution()`

/aspect/pointcut/designators/RequestPointcut.class.php at line 74

### _getRelativeURL

`private static void _getRelativeURL(mixed sourcePath)`

/aspect/pointcut/designators/RequestPointcut.class.php at line 59

### _isJoinPointShadow

`protected void _isJoinPointShadow(mixed joinPoint)`

/aspect/pointcut/designators/RequestPointcut.class.php at line 95

### _runtimeMatch

`protected void _runtimeMatch(mixed joinPoint)`

/aspect/pointcut/designators/RequestPointcut.class.php at line 91

### addHeaderPattern

`public void addHeaderPattern(mixed name, mixed pattern)`

/aspect/pointcut/designators/RequestPointcut.class.php at line 88

### existFormData

`public void existFormData(mixed namePattern, mixed valuePattern)`

/aspect/pointcut/designators/RequestPointcut.class.php at line 81

### getFormDataArray

`public void getFormDataArray()`

/aspect/pointcut/designators/RequestPointcut.class.php at line 84

### getHeaderArray

`public void getHeaderArray()`

/aspect/pointcut/designators/RequestPointcut.class.php at line 78

### getURLPattern

`public void getURLPattern()`

/aspect/pointcut/designators/RequestPointcut.class.php at line 33

### keyMatch

`public void keyMatch(mixed key)`

/aspect/pointcut/designators/RequestPointcut.class.php at line 71

### requestURLMatch

`public void requestURLMatch(mixed scriptPath)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr